Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 923711 - dev-tcltk/tdom-0.9.3 has implicit function declarations in configure logs
Summary: dev-tcltk/tdom-0.9.3 has implicit function declarations in configure logs
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: TCL/TK Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 906027
  Show dependency tree
 
Reported: 2024-02-03 11:47 UTC by Agostino Sarubbo
Modified: 2024-02-25 18:57 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,77.83 KB, text/plain)
2024-02-03 11:47 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2024-02-03 11:47:57 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-tcltk/tdom-0.9.3 has implicit function declarations in configure logs.
Discovered on: amd64 (internal ref: tinderbox_musl)
System: MUSL-SYSTEM (https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#MUSL)

Info about the issue:
https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#QA0072
Comment 1 Agostino Sarubbo gentoo-dev 2024-02-03 11:47:58 UTC
Created attachment 884117 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2024-02-03 11:48:00 UTC
Found the following implicit function declarations in configure logs:

config.log:359 - arc4random_buf
config.log:402 - arc4random
Comment 3 Larry the Git Cow gentoo-dev 2024-02-25 18:57:09 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f8189ee525a2277350006382fb7ee5ace03a7c4d

commit f8189ee525a2277350006382fb7ee5ace03a7c4d
Author:     Alfredo Tupone <tupone@gentoo.org>
AuthorDate: 2024-02-25 18:56:41 +0000
Commit:     Alfredo Tupone <tupone@gentoo.org>
CommitDate: 2024-02-25 18:56:41 +0000

    dev-tcltk/tdom: drop QA warning
    
    Closes: https://bugs.gentoo.org/923711
    Signed-off-by: Alfredo Tupone <tupone@gentoo.org>

 dev-tcltk/tdom/tdom-0.9.3.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)